Bug 10887 - Batch item deletion -- doesn't need Use default values section
Summary: Batch item deletion -- doesn't need Use default values section
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 9533
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 16:01 UTC by HB-NEKLS
Modified: 2016-01-19 04:41 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10887: Batch item deletion -- doesn't need Use default values section (2.15 KB, patch)
2015-01-15 21:37 UTC, Abby
Details | Diff | Splinter Review
Bug 10887: Batch item deletion -- doesn't need Use default values section (2.61 KB, patch)
2015-02-16 14:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 10887: Batch item deletion -- doesn't need Use default values section (2.67 KB, patch)
2015-02-19 19:28 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 10887: Batch item deletion -- doesn't need Use default values section (2.72 KB, patch)
2015-02-20 12:01 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description HB-NEKLS 2013-09-13 16:01:57 UTC
The batch item deletion tool doesn't need to have the option for "use default values section" to "Populate fields with default values from default framework." 

The option is applicable to the batch item modification tool, but not to batch item deletion -- because all the user is doing with the batch deletion is deleting items. Should this option be removed, as a result?
Comment 1 Katrin Fischer 2015-01-06 21:12:44 UTC
Hi Heather, good catch - it makes no sense there.
Comment 2 Abby 2015-01-15 21:37:17 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-01-19 06:09:44 UTC
Hi Abby, 

the same page (bachMod.tt) is used for 2 tools: batch item modification and batch item delete. The 'default values' option only makes sense if you want to batch modify, but not if you want to batch delete. Your patch removes from both tools, what we need is some kind of condition, so it shows only for one, but not the other.
Comment 4 Jonathan Druart 2015-02-16 14:47:02 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2015-02-19 19:28:38 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2015-02-20 12:01:30 UTC
Created attachment 36070 [details] [review]
[PASSED QA] Bug 10887: Batch item deletion -- doesn't need Use default values section

To test:
1. Go to Home > Tools > Batch item deletion
2. Notice that there is an unnecessary option for "use default values
section" to "Populate fields with default values from default work"
3. Apply the patch.
4. Check that this section has disappeared.

Signed-off-by: Nick <Nick@quechelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2015-04-08 14:37:45 UTC
Patch pushed to master.

Thanks Abby!
Comment 8 Chris Cormack 2015-04-11 05:29:29 UTC
Pushed to 3.18.x will be in 3.18.6 release